# boost::numeric::ublas::traverse_policy::wrap Struct Reference

The wrap policy. More...

List of all members.

## Static Public Member Functions

template<class S1 , class S2 , class S3 >
static BOOST_UBLAS_INLINE void | apply1 (const S1 &s, S2 &i1, S3 &i2)
| Element wrap method.
template<class S1 , class S2 , class S3 >
static BOOST_UBLAS_INLINE void | apply2 (const S1 &s1, const S1 &s2, S2 &i1, S3 &i2)
| Matrix block wrap method.

## Detailed Description

The wrap policy enables element wrapping when assigning to a matrix